%define anolis_release 1
%bcond_with check

Name:           python-pyproject-api
Version:        1.5.1
Release:        %{anolis_release}%{?dist}
Summary:        API to interact with the python pyproject.toml based projects

License:        MIT
URL:            https://pyproject-api.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/source/p/pyproject-api/pyproject_api-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
API to interact with the python pyproject.toml based projects.}

%description %_description

%package -n     python3-pyproject-api
Summary:        %{summary}

%description -n python3-pyproject-api %_description

%package -n     python3-pyproject-api-doc
Summary:        %{summary}
Requires:       python3-pyproject-api = %{EVR}

%description -n python3-pyproject-api-doc

%prep
%autosetup -n pyproject_api-%{version}
# Remove unneeded testing deps
sed -i "/covdefaults/d;/pytest-cov/d" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyproject_api

rm -fr %{buildroot}/%{python3_sitelib}/pyproject_api-*.dist-info/licenses/LICENSE

%if %{with check}
%check
# We don't want to depend on Python 2
%pytest -k "not test_can_build_on_python_2"
%endif

%files -n python3-pyproject-api -f %{pyproject_files}

%files -n python3-pyproject-api-doc
%doc README.md

%changelog
* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 1.5.1-1
- package init from upstream
